%global svnrev 12233
%global upname doxygenplugin
%global checkout 20130122svn%{svnrev}

Name: trac-doxygen-plugin
Version: 0.11.0.2
Release: 0.11.%{checkout}%{?dist}
Summary: Integrates doxygen documentation into Trac
License: BSD

Group: Applications/Internet
URL: http://trac-hacks.org/wiki/DoxygenPlugin
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
Source0: %{upname}-r%{svnrev}.tar.bz2
# svn export -r 12233 http://trac-hacks.org/svn/doxygenplugin/0.11 doxygenplugin
#  tar -cjvf doxygenplugin-r12233.tar.bz2  doxygenplugin

BuildArch: noarch
BuildRequires: python2-devel python2-setuptools
Requires: trac >= 0.11

%description
The aim is to embed one or multiple doxygen-generated documentation(s) 
within Trac, in order to have consistent look and feel, and easy referencing 
to doxygen pages using the usual TracLinks and the doxygen: prefix.

%prep
%setup -n %{upname} -q
chmod -x doxygentrac/templates/doxygen.html

%build
%{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root  %{buildroot}
 
%files
%doc COPYING
%{python2_sitelib}/*

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0.2-0.11.20130122svn12233
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Feb 01 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.11.0.2-0.10.20130122svn12233
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0.2-0.9.20130122svn12233
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0.2-0.8.20130122svn12233
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0.2-0.7.20130122svn12233
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.0.2-0.6.20130122svn12233
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.0.2-0.5.20130122svn12233
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Jan 22 2014  Sergio Pascual <sergiopr@fedoraproject.com> - 0.11.0.2-0.4.20130122svn12233
- Changed release to follow the guidelines
- Updated python macros and define changed to global

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.0.2-0.3.r12233
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.0.2-0.2.r12233
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 22 2013  Sergio Pascual <sergiopr@fedoraproject.com> - 0.11.0.2-0.1.r12233
 - Moving to 0.11 branch (new upstream source)

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-0.11.r2892
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-0.10.r2892
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Apr 08 2011 Sergio Pascual <sergio.pasra at gmail.com> - 0.4-0.9.r2892
- Patch to work with trac 0.12. Fixes bz #694153

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-0.8.r2892
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.4-0.7.r2892
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-0.6.r2892
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-0.5.r2892
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.4-0.4.r2892
- Rebuild for Python 2.6

* Tue Dec 18 2007 Sergio Pascual <sergio.pasra at gmail.com> - 0.4-0.3.r2892
- Renamed as trac-doxygen-plugin

* Mon Dec 17 2007 Sergio Pascual <sergio.pasra at gmail.com> - 0.4-0.2.r2892
- Removed redundant line in install section

* Thu Dec 13 2007 Sergio Pascual <sergio.pasra at gmail.com> - 0.4-0.1.r2892
- Initial build, initial template borrowed from Jesse Keating's trac-webadmin
